com.microfocus.awm.core

## Class TaurusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.microfocus.awm.core.TaurusException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TaurusCoreException, TaurusModelException, TaurusToolException

      public abstract class TaurusException
      extends java.lang.Exception

  Superclass for all AWM exception classes. Copyright (C) Micro Focus
  Author:
    Ralf Pakosch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusException(java.lang.String pMsg)` Constructs a new exception with the specified detail message.
    `TaurusException(java.lang.String pMsg, java.lang.Throwable pE)` Constructs a new exception with the specified detail message and cause.
    `TaurusException(java.lang.String pMsg, java.lang.Throwable pE, boolean pPreferExceptionMessage)` Constructs a new exception with the specified detail message, cause and prefer exception message flag.
    `TaurusException(java.lang.Throwable pE)` Constructs a new exception with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCustomErrorMessage()` Gets the custom error message.
    `boolean` | `isPreferExceptionMessage()` Gets whether the preferExceptionMessage flag is set to `true` or `false`.
    `void` | `setCustomErrorMessage(java.lang.String pCustomErrorMessage)` Sets the custom error message.
    `void` | `setPreferExceptionMessage(boolean pPreferExceptionMessage)` Sets the preferExceptionMessage flag.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusException

          public TaurusException(java.lang.String pMsg,
                                 java.lang.Throwable pE)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `pMsg` - the message
        `pE` - the cause

    - #### TaurusException

          public TaurusException(java.lang.String pMsg)

      Constructs a new exception with the specified detail message.
      Parameters:
        `pMsg` - the message

    - #### TaurusException

          public TaurusException(java.lang.Throwable pE)

      Constructs a new exception with the specified cause.
      Parameters:
        `pE` - the cause

    - #### TaurusException

          public TaurusException(java.lang.String pMsg,
                                 java.lang.Throwable pE,
                                 boolean pPreferExceptionMessage)

      Constructs a new exception with the specified detail message, cause and prefer exception message flag. If this flag is set to `true`, the message will be the preferred message for the AWM error dialog. Else the last message in the exception hierarchy is used as message in the error dialog.
      Parameters:
        `pMsg` - the message
        `pE` - the cause
        `pPreferExceptionMessage` - whether the message of this `TaurusException` should be the preferred message to be displayed in the TaurusErrorDialog. Else the last message in the exception hierarchy is used as message in the error dialog.

  - ### Method Detail

    - #### isPreferExceptionMessage

          public boolean isPreferExceptionMessage()

      Gets whether the preferExceptionMessage flag is set to `true` or `false`. If this flag is set to `true`, the message will be the preferred message for the AWM error dialog. Else the last message in the exception hierarchy is used as message in the error dialog.
      Returns:
        the preferExceptionMessage flag.

    - #### setPreferExceptionMessage

          public void setPreferExceptionMessage(boolean pPreferExceptionMessage)

      Sets the preferExceptionMessage flag. If this flag is set to `true`, the message of this exception will be the preferred message for the AWM error dialog. Else the last message in the exception hierarchy is used as message in the error dialog.
      Parameters:
        `pPreferExceptionMessage` - sets the preferException message flag.

    - #### getCustomErrorMessage

          public java.lang.String getCustomErrorMessage()

      Gets the custom error message.
      Returns:
        the custom error message

    - #### setCustomErrorMessage

          public void setCustomErrorMessage(java.lang.String pCustomErrorMessage)

      Sets the custom error message.
      Parameters:
        `pCustomErrorMessage` - the custom error message to set

Copyright © 2015 Micro Focus GmbH. All rights reserved.